﻿Public Class NoteViewModel
    Inherits BaseViewModel

    Public Sub New()
    End Sub
    Public Sub New(n_Name As String, n_Text As String)
        NoteName = n_Name
        NoteText = n_Text
    End Sub

    Private _noteName As String = "unnamed"
    Public Property NoteName() As String
        Get
            Return _noteName
        End Get
        Set(ByVal value As String)
            ChangePropIfDifferent(value, _noteName)
        End Set
    End Property

    Private _noteText As String = String.Empty
    Public Property NoteText() As String
        Get
            Return _noteText
        End Get
        Set(ByVal value As String)
            ChangePropIfDifferent(value, _noteText)
        End Set
    End Property

End Class